%define anolis_release 2
%global srcname pkgconfig

Name:           python-%{srcname}
Version:        1.5.5
Release:        %{anolis_release}%{?dist}
Summary:        Python interface to the pkg-config command line tool

License:        MIT
URL:            https://github.com/matze/pkgconfig
Source:         %{pypi_source}

BuildArch:      noarch

%description
pkgconfig is a Python module to interface with the pkg-config command line
tool and supports Python 2.6+.

It can be used to

* check if a package exists
* check if a package meets certain version requirements
* query CFLAGS and LDFLAGS
* parse the output to build extensions with setup.py

If pkg-config is not on the path, raises EnvironmentError.

%package -n python3-%{srcname}
Summary:        Python3 interface to the pkg-config command line tool
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       %{_bindir}/pkg-config

%description -n python3-%{srcname}
pkgconfig is a Python module to interface with the pkg-config command line
tool and supports Python 2.6+.

It can be used to

* check if a package exists
* check if a package meets certain version requirements
* query CFLAGS and LDFLAGS
* parse the output to build extensions with setup.py

If pkg-config is not on the path, raises EnvironmentError.

Python 3 version.

%package -n python3-%{srcname}-doc
Summary: 	%{summary}
Requires:	python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc
Doc files for python3-%{srcname}

%prep
%autosetup -n %{srcname}-%{version} -p1
# https://github.com/sdispater/poetry/issues/866
sed -i -e s/distutils.core/setuptools/ setup.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/

%files -n python3-%{srcname}-doc
%doc README.rst

%changelog
* Tue Mar 12 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.5.5-2
- Rebuild with python3.11

* Sat Mar 25 2023 happy_orange <songnannan@linux.alibaba.com> - 1.5.5-1
- init package from upstream
